Subject: bug#56810: 29.0.50; 'set target-async' is deprecated in M-x gdb and more

From: Po Lu <[email-masked]>
Date: Thu, 28 Jul 2022 16:36:56 +0800

Zhiwei Chen <[email-masked]> writes:

> gcc a.cc -o a.out
>
> where a.cc is a hello world program.
>
>     emacs -Q
>     M-x gdb RET
>
> You will see such a warning:
>
> (gdb) Warning: 'set target-async', an alias for the command 'set mi-async', is deprecated.
> Use 'set mi-async'.
>
> The option mi-async was introduced in 2014 [1], so I thought using "set
> mi-async" is safe enough in wild.

GDB before 7.7 is still used in the wild, so I'd rather not break
support for those old versions.

I can't seem to figure out how to get the GDB version using a GDB-MI
command.  Any ideas?